Subject: [Idr] AS_SET versus AS_PATH

From: "john smith" <[email-masked]>
Date: Mon, 18 Oct 2004 17:48:08 +0000

Hi,

as far as I can understand, AS_PATH serves 2 purposes,
a. it helps identify the source of the prefix

b. it helps in fast convergence, (another alternative would be to use AS and 
IP or originating router as the source of the route and use withdrawn route 
+ updates marking the NLRI), in other words, each unique upate could consist 
of AS+IPv4(of originating router)+NLRI and they could be specifically 
updated and withdrawn.

Is my understanding correct?

However, after going through draft-bhatia-ecmp and boucing it with some 
people, I had a question:

we retain the AS_PATH via the newly ordered AS_SET, which IMO has to be done 
for all AS_SET cases as we would loose path length, and hence this would 
sort of amount to a "negative arc length" when a peer propogates an AS_SET 
reducing the size of the AS_PATH. This could be a potential source of loops.

Would appreciate if someone could share information on specific cases where 
AS_SET has been used without retaining path length.

-john

_________________________________________________________________
FREE pop-up blocking with the new MSN Toolbar - get it now! 
http://toolbar.msn.com/

_______________________________________________
Idr mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/idr

---

From: Tony Li <[email-masked]>
Date: Mon, 18 Oct 2004 11:52:26 -0700

The primary purpose of the AS_PATH is loop prevention.

Tony

On Oct 18, 2004, at 10:48 AM, john smith wrote:

> b. it helps in fast convergence, (another alternative would be to use 
> AS and IP or originating router as the source of the route and use 
> withdrawn route + updates marking the NLRI), in other words, each 
> unique upate could consist of AS+IPv4(of originating router)+NLRI and 
> they could be specifically updated and withdrawn.
>
> However, after going through draft-bhatia-ecmp and boucing it with 
> some people, I had a question:
>
> we retain the AS_PATH via the newly ordered AS_SET, which IMO has to 
> be done for all AS_SET cases as we would loose path length, and hence 
> this would sort of amount to a "negative arc length" when a peer 
> propogates an AS_SET reducing the size of the AS_PATH. This could be a 
> potential source of loops.
>
> Would appreciate if someone could share information on specific cases 
> where AS_SET has been used without retaining path length.
>
> -john
>